<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * 仕入先削除確認
 *
 * @package     Admin.Datamanage.Supplier.Delete.Check
 * @author      netnee T.Otogawa <tomokazu.otogawa@netnee.jp>
 * @access      public
 */
class Admin_Datamanage_Supplier_Delete_Check
{
    var $c_supplier;
    var $session;
    var $code;
    var $name;
    var $dispsort;
    var $updcnt;
    var $data;

    var $title;
    var $pagename;
    var $actionnm;

    var $srcword;       // 検索値
    var $srcdispnum;    // 表示件数

    function execute()
    {
        $this->data = $this->c_supplier->selectKey($this->code);

        $postdata = array("code"=>$this->code, "updcnt"=>$this->data["updcnt"]);
        $this->session->removeParameter("supplier");
        $this->session->setParameter("supplier", $postdata);

        if (!isset($this->name) && !isset($this->dispsort) && !isset($this->updcnt)) {
            $this->name = $this->data["suppliernm"];
            $this->dispsort = $this->data["disppriority"];
            $this->updcnt = $this->data["updcnt"];
        }

        return 'success';
    }
}
?>
